airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From maximebeauche...@apache.org
Subject [1/2] incubator-airflow git commit: [AIRFLOW-954] Fix configparser ImportError
Date Thu, 09 Mar 2017 05:08:15 GMT
Repository: incubator-airflow
Updated Branches:
  refs/heads/master d7f8334d2 -> abbb4ee5c


[AIRFLOW-954] Fix configparser ImportError

Fixes support for Python 2.7 since
https://github.com/apache/incubator-airflow/pull/2091 was merged


Project: http://git-wip-us.apache.org/repos/asf/incubator-airflow/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-airflow/commit/f3924696
Tree: http://git-wip-us.apache.org/repos/asf/incubator-airflow/tree/f3924696
Diff: http://git-wip-us.apache.org/repos/asf/incubator-airflow/diff/f3924696

Branch: refs/heads/master
Commit: f3924696ff32942abc8c5709876c5717e0a82445
Parents: e79dee8
Author: Sean Cronin <sean@datarobot.com>
Authored: Tue Mar 7 20:52:48 2017 -0500
Committer: Sean Cronin <sean@datarobot.com>
Committed: Tue Mar 7 20:52:48 2017 -0500

----------------------------------------------------------------------
 setup.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-airflow/blob/f3924696/setup.py
----------------------------------------------------------------------
diff --git a/setup.py b/setup.py
index 87808d6..481d427 100644
--- a/setup.py
+++ b/setup.py
@@ -202,6 +202,7 @@ def do_setup():
         scripts=['airflow/bin/airflow'],
         install_requires=[
             'alembic>=0.8.3, <0.9',
+            'configparser>=3.5.0, <3.6.0',
             'croniter>=0.3.8, <0.4',
             'dill>=0.2.2, <0.3',
             'flask>=0.11, <0.12',
@@ -211,7 +212,7 @@ def do_setup():
             'flask-swagger==0.2.13',
             'flask-wtf==0.12',
             'funcsigs==1.0.0',
-            'future>=0.15.0, <0.17',
+            'future>=0.16.0, <0.17',
             'gitpython>=2.0.2',
             'gunicorn>=19.3.0, <19.4.0',  # 19.4.? seemed to have issues
             'jinja2>=2.7.3, <2.9.0',


Mime
View raw message